<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
    <div class="container">
        <a class="navbar-brand" href="#">
            <img src="/assets/icon.png" width="30" height="30" class="d-inline-block align-top" alt="">
            <b><i>Shopping Cart</i></b></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse"
                data-target="#navbarResponsive" aria-controls="navbarResponsive"
                aria-expanded="false" aria-label="Toggle navigation" (click)="toggleCollapsed()">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div id="navbarResponsive" [ngClass]="{collapse: collapsed, 'navbar-collapse': true}">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item"  [routerLinkActive]="['active']">
                    <a class="nav-link"  routerLink="/search" ><i class="fas fa-search"></i>Search
                        <span class="sr-only"></span>
                    </a>
                </li>
                <li class="nav-item "  [routerLinkActive]="['active']">
                    <a class="nav-link" routerLink="/mycart" >My Cart
                        <span class="sr-only"></span>
                    </a>
                </li>
                <li class="nav-item" [routerLinkActive]="['active']">
                    <a class="nav-link" routerLink="/" >Home
                        <span class="sr-only"></span>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</nav>